<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>net6.0-windows</TargetFramework>
    <Nullable>enable</Nullable>
    <UseWPF>true</UseWPF>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="AssemblyInfo.cs" />
  </ItemGroup>

  <ItemGroup>
    <None Remove="Resources\amma.png" />
    <None Remove="Resources\amma3.png" />
    <None Remove="Resources\Background.png" />
    <None Remove="Resources\bg.png" />
    <None Remove="Resources\Boardbg.png" />
    <None Remove="Resources\btnBg.png" />
    <None Remove="Resources\BtnInsert.png" />
    <None Remove="Resources\BtnSelect.png" />
    <None Remove="Resources\cancel.png" />
    <None Remove="Resources\caozuo.png" />
    <None Remove="Resources\caozuo2.png" />
    <None Remove="Resources\car.png" />
    <None Remove="Resources\chanpintiaoma.png" />
    <None Remove="Resources\close.png" />
    <None Remove="Resources\CMT.ico" />
    <None Remove="Resources\Empty.png" />
    <None Remove="Resources\gd.png" />
    <None Remove="Resources\green.png" />
    <None Remove="Resources\hand.png" />
    <None Remove="Resources\HandCtrl.png" />
    <None Remove="Resources\HLine.png" />
    <None Remove="Resources\HLineS.png" />
    <None Remove="Resources\icon_01.png" />
    <None Remove="Resources\icon_02.png" />
    <None Remove="Resources\icon_03.png" />
    <None Remove="Resources\icon_04.png" />
    <None Remove="Resources\icon_05.png" />
    <None Remove="Resources\icon_06.png" />
    <None Remove="Resources\icon_07.png" />
    <None Remove="Resources\icon_08.png" />
    <None Remove="Resources\icon_09.png" />
    <None Remove="Resources\icon_10.png" />
    <None Remove="Resources\icon_11.png" />
    <None Remove="Resources\icon_12.png" />
    <None Remove="Resources\icon_13.png" />
    <None Remove="Resources\icon_14.png" />
    <None Remove="Resources\icon_15.png" />
    <None Remove="Resources\icon_16.png" />
    <None Remove="Resources\icon_17.png" />
    <None Remove="Resources\icon_18.png" />
    <None Remove="Resources\icon_19.png" />
    <None Remove="Resources\icon_20.png" />
    <None Remove="Resources\icon_21.png" />
    <None Remove="Resources\icon_22.png" />
    <None Remove="Resources\icon_23.png" />
    <None Remove="Resources\icon_24.png" />
    <None Remove="Resources\icon_25.png" />
    <None Remove="Resources\icon_26.png" />
    <None Remove="Resources\icon_2_1.png" />
    <None Remove="Resources\icon_2_2.png" />
    <None Remove="Resources\icon_2_3.png" />
    <None Remove="Resources\icon_2_4.png" />
    <None Remove="Resources\icon_2_5.png" />
    <None Remove="Resources\icon_2_6.png" />
    <None Remove="Resources\icon_2_7.png" />
    <None Remove="Resources\icon_2_8.png" />
    <None Remove="Resources\icon_3_03.png" />
    <None Remove="Resources\icon_3_05.png" />
    <None Remove="Resources\icon_3_07.png" />
    <None Remove="Resources\icon_3_09.png" />
    <None Remove="Resources\icon_3_11.png" />
    <None Remove="Resources\icon_3_13.png" />
    <None Remove="Resources\icon_3_15.png" />
    <None Remove="Resources\icon_3_17.png" />
    <None Remove="Resources\icon_3_19.png" />
    <None Remove="Resources\icon_3_21.png" />
    <None Remove="Resources\icon_3_33.png" />
    <None Remove="Resources\icon_3_34.png" />
    <None Remove="Resources\icon_3_35.png" />
    <None Remove="Resources\icon_3_36.png" />
    <None Remove="Resources\icon_3_37.png" />
    <None Remove="Resources\icon_3_38.png" />
    <None Remove="Resources\icon_3_39.png" />
    <None Remove="Resources\icon_3_40.png" />
    <None Remove="Resources\icon_3_41.png" />
    <None Remove="Resources\icon_3_42.png" />
    <None Remove="Resources\jiahao.png" />
    <None Remove="Resources\kucun.png" />
    <None Remove="Resources\kucun1.png" />
    <None Remove="Resources\kucun2.png" />
    <None Remove="Resources\logo.png" />
    <None Remove="Resources\menti.png" />
    <None Remove="Resources\NG-Dlight.png" />
    <None Remove="Resources\NG-Llight.png" />
    <None Remove="Resources\OK-Dlight.png" />
    <None Remove="Resources\OK-Llight.png" />
    <None Remove="Resources\red.png" />
    <None Remove="Resources\riqi.png" />
    <None Remove="Resources\shengchanjihua.png" />
    <None Remove="Resources\shijian.png" />
    <None Remove="Resources\state-b%401x.png" />
    <None Remove="Resources\state-n%401x.png" />
    <None Remove="Resources\takeoff.png" />
    <None Remove="Resources\tishixinxi.png" />
    <None Remove="Resources\tuichu.png" />
    <None Remove="Resources\vgd.png" />
    <None Remove="Resources\VLine.png" />
    <None Remove="Resources\VLineUp.png" />
    <None Remove="Resources\xiangti.png" />
    <None Remove="Resources\xj.png" />
    <None Remove="Resources\xjl.png" />
    <None Remove="Resources\xjline.png" />
    <None Remove="Resources\yadiLogo.png" />
    <None Remove="Resources\yizhuangzaichanpin.png" />
    <None Remove="Resources\zaijubianma.png" />
    <None Remove="Resources\zaijudaoweizhuangtai.png" />
    <None Remove="Resources\zwtpp.jpg" />
    <None Remove="Resources\上件操作.png" />
  </ItemGroup>

  <ItemGroup>
    <Resource Include="Resources\amma.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Resource>
    <Resource Include="Resources\amma3.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Resource>
    <Resource Include="Resources\cancel.png">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Resource>
    <Resource Include="Resources\jiahao.png">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Resource>
  </ItemGroup>
	<ItemGroup>
		<PackageReference Include="EPPlus" Version="7.0.2" />
		<PackageReference Include="HandyControl" Version="3.5.0" />
		<PackageReference Include="HandyControls" Version="3.5.0" />
		<PackageReference Include="Masuit.Tools.Core" Version="2.6.7.5" />
		<PackageReference Include="Microsoft.EntityFrameworkCore" Version="7.0.10" />
		<PackageReference Include="Microsoft.IdentityModel.Tokens" Version="6.32.3" />
		<PackageReference Include="System.IdentityModel.Tokens.Jwt" Version="6.32.3" />
		<PackageReference Include="Jc.SnowId" Version="1.0.2" />
		<PackageReference Include="System.IO.Ports" Version="6.0.0" />
	</ItemGroup>
	<ItemGroup>
	  <ProjectReference Include="..\Khd.Core.Domain\Khd.Core.Domain.csproj" />
	  <ProjectReference Include="..\Khd.Core.EntityFramework\Khd.Core.EntityFramework.csproj" />
	  <ProjectReference Include="..\Khd.Core.Library\Khd.Core.Library.csproj" />
	  <ProjectReference Include="..\Khd.Core.Plc\Khd.Core.Plc.csproj" />
	  <ProjectReference Include="..\Khd.Core.Thrift\Khd.Core.Thrift.csproj" />
	</ItemGroup>
	<ItemGroup>
	  <Reference Include="HBInformationBase">
	    <HintPath>C:\Users\ZJ\.nuget\packages\hbinformationbase\22.2.15.1313\lib\net5.0\HBInformationBase.dll</HintPath>
	  </Reference>
	</ItemGroup>
	<ItemGroup>
	  <Resource Include="Resources\Background.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\bg.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\Boardbg.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\btnBg.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\BtnInsert.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\BtnSelect.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\caozuo.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\caozuo2.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\car.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\chanpintiaoma.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\close.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\CMT.ico">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\Empty.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\gd.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\green.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\hand.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\HandCtrl.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\HLine.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\HLineS.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_01.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_02.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_03.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_04.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_05.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_06.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_07.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_08.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_09.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_10.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_11.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_12.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_13.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_14.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_15.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_16.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_17.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_18.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_19.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_20.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_21.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_22.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_23.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_24.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_25.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_26.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_2_1.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_2_2.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_2_3.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_2_4.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_2_5.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_2_6.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_2_7.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_2_8.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_3_03.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_3_05.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_3_07.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_3_09.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_3_11.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_3_13.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_3_15.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_3_17.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_3_19.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_3_21.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_3_33.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_3_34.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_3_35.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_3_36.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_3_37.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_3_38.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_3_39.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_3_40.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_3_41.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\icon_3_42.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\kucun.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\kucun1.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\kucun2.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\logo.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\menti.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\NG-Dlight.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\NG-Llight.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\OK-Dlight.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\OK-Llight.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\red.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\riqi.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\shengchanjihua.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\shijian.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\state-b@1x.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\state-n@1x.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\takeoff.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\tishixinxi.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\tuichu.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\vgd.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\VLine.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\VLineUp.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\xiangti.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\xj.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\xjl.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\xjline.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\yadiLogo.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\yizhuangzaichanpin.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\zaijubianma.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\zaijudaoweizhuangtai.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\zwtpp.jpg">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	  <Resource Include="Resources\上件操作.png">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Resource>
	</ItemGroup>
	<ItemGroup>
	  <Compile Update="WindowPage\InventoryMaterialWindow.xaml.cs">
	    <SubType>Code</SubType>
	  </Compile>
	</ItemGroup>
	<ItemGroup>
	  <None Update="appsettings.json">
	    <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
	  </None>
	</ItemGroup>
	<ProjectExtensions><VisualStudio><UserProperties appsettings_1json__JsonSchema="" /></VisualStudio></ProjectExtensions>
</Project>
